<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Wed Feb 23 15:53:21 PST 2005 -->
<TITLE>
: Uses of Class org.eclipse.wst.rdb.internal.models.dbdefinition.ParentUpdateDRIRuleType
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ParentUpdateDRIRuleType.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<CENTER>
<H2>
<B>Uses of Class<br>org.eclipse.wst.rdb.internal.models.dbdefinition.ParentUpdateDRIRuleType</B></H2>
</CENTER>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Packages that use <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html">ParentUpdateDRIRuleType</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.eclipse.wst.rdb.internal.models.dbdefinition"><B>org.eclipse.wst.rdb.internal.models.dbdefinition</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.eclipse.wst.rdb.internal.models.dbdefinition"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Uses of <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html">ParentUpdateDRIRuleType</A> in <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/package-summary.html">org.eclipse.wst.rdb.internal.models.dbdefinition</A></FONT></TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Fields in <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/package-summary.html">org.eclipse.wst.rdb.internal.models.dbdefinition</A> declared as <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html">ParentUpdateDRIRuleType</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html">ParentUpdateDRIRuleType</A></CODE></FONT></TD>
<TD><CODE><B>ParentUpdateDRIRuleType.</B><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html#NO_ACTION_LITERAL">NO_ACTION_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>NO ACTION</b></em>' literal object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html">ParentUpdateDRIRuleType</A></CODE></FONT></TD>
<TD><CODE><B>ParentUpdateDRIRuleType.</B><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html#RESTRICT_LITERAL">RESTRICT_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>RESTRICT</b></em>' literal object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html">ParentUpdateDRIRuleType</A></CODE></FONT></TD>
<TD><CODE><B>ParentUpdateDRIRuleType.</B><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html#CASCADE_LITERAL">CASCADE_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>CASCADE</b></em>' literal object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html">ParentUpdateDRIRuleType</A></CODE></FONT></TD>
<TD><CODE><B>ParentUpdateDRIRuleType.</B><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html#SET_NULL_LITERAL">SET_NULL_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>SET NULL</b></em>' literal object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html">ParentUpdateDRIRuleType</A></CODE></FONT></TD>
<TD><CODE><B>ParentUpdateDRIRuleType.</B><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html#SET_DEFAULT_LITERAL">SET_DEFAULT_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>SET DEFAULT</b></em>' literal object.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Methods in <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/package-summary.html">org.eclipse.wst.rdb.internal.models.dbdefinition</A> that return <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html">ParentUpdateDRIRuleType</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html">ParentUpdateDRIRuleType</A></CODE></FONT></TD>
<TD><CODE><B>ParentUpdateDRIRuleType.</B><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html#get(java.lang.String)">get</A></B>(java.lang.String&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the '<em><b>Parent Update DRI Rule Type</b></em>' literal with the specified name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html">ParentUpdateDRIRuleType</A></CODE></FONT></TD>
<TD><CODE><B>ParentUpdateDRIRuleType.</B><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html#get(int)">get</A></B>(int&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the '<em><b>Parent Update DRI Rule Type</b></em>' literal with the specified value.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ParentUpdateDRIRuleType.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
